# Class AbstractPfvManager<T, U>`Abstract`

#### Type Parameters

- #### T

- #### U

#### Hierarchy

- AbstractPfvManager

#### Implements

- PfvManagerInterface

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:34

#####
Index

### Constructors

constructor

### Properties

additionalConfig
boardConfigContainer
pfvChangeCallback
rcsbFvContainer
rcsbFvDivId
stateManager

### Methods

create

## Constructors

### `Protected` constructor

- new AbstractPfvManager<T, U>(config): AbstractPfvManager<T, U>

- #### Type Parameters

  - #### T

  - #### U

  #### Parameters

  - ##### config: T & PfvManagerFactoryConfigInterface<U>

  #### Returns AbstractPfvManager<T, U>

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:43

## Properties

### `Protected` `Readonly` additionalConfig

additionalConfig: undefined | RcsbFvAdditionalConfig & {
operatorChangeCallback?: ((operatorInfo) => void);
}

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:41

### `Protected` `Readonly` boardConfigContainer

boardConfigContainer: DataContainer<Partial<RcsbFvBoardConfigInterface>>

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:39

### `Protected` `Readonly` pfvChangeCallback

pfvChangeCallback: ((context) => Promise<void>)

#### Type declaration

- - (context): Promise<void>

  - #### Parameters

    - ##### context: U

    #### Returns Promise<void>

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:40

### `Protected` `Readonly` rcsbFvContainer

rcsbFvContainer: DataContainer<RcsbFvModulePublicInterface<{}, {}, {}, {}>>

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:37

### `Protected` `Readonly` rcsbFvDivId

rcsbFvDivId: string

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:36

### `Protected` `Readonly` stateManager

stateManager: RcsbFvStateInterface

- Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:38

## Methods

### `Abstract` create

- create(config?): Promise<undefined | RcsbFvModulePublicInterface<{}, {}, {}, {}>>

- #### Parameters

  - ##### `Optional` config: BuildPfvInterface

  #### Returns Promise<undefined | RcsbFvModulePublicInterface<{}, {}, {}, {}>>

  Implementation of PfvManagerInterface.create

  - Defined in src/RcsbFvSequence/SequenceViews/RcsbView/PfvManagerFactoryInterface.ts:52

Generated using TypeDoc